LocalizationKeys

Lists all Localization Keys.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Responses
200

Success

application/json

Response of a List Localization Keys request.

countinteger · int32Optional

Total number of Localization Keys.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/memori/v2/LocalizationKeys/{strSessionID}
200

Success

Lists Localization Keys with pagination.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

frominteger · int32Required

The 0-based index of the first Localization Key to list

howManyinteger · int32Required

The number of the Localization Keys to list

Responses
200

Success

application/json

Response of a List Localization Keys request.

countinteger · int32Optional

Total number of Localization Keys.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/memori/v2/LocalizationKeys/{strSessionID}/{from}/{howMany}
200

Success

Get an existing Localization Key.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strKeystringRequired

The key of the Localization Key

Responses
200

Success

application/json

Response of a Get Localization Key request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get
/memori/v2/LocalizationKey/{strSessionID}/{strKey}
200

Success

Removes an existing Localization Key.

delete

This API requires a Giver session. This is only possible if the key is part of a key set, where a key set is a set of keys of a common prefix and an index, e.g.: INPUT_QUIT_1, INPUT_QUIT_2 etc. Any index can be specified, the key set will be reordered appropriately.

Path parameters
strSessionIDstringRequired

The session ID

strKeystringRequired

The key of the Localization Key

Responses
200

Success

application/json

Base response.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

delete
/memori/v2/LocalizationKey/{strSessionID}/{strKey}
200

Success

Add a new Localization Key.

post

This API requires a Giver session. This is only possible if the key is part of a key set, where a key set is a set of keys of a common prefix and an index, e.g.: INPUT_QUIT_1, INPUT_QUIT_2 etc. Any index can be specified, the key set will be reordered appropriately.

Path parameters
strSessionIDstringRequired

The session ID

Body
keystring · nullableOptional

Localization Key. Required during Add operations. Ignored during Update operations.

valuestring · nullableOptional

Value of the Localization Key. Required during Add and Update operations.

creationTimestampstring · date-time · nullableOptional

Timestamp of creation. Always present when reading/receiving an object, ignored when writing/sending an object.

creationSessionIDstring · nullableOptional

ID of the session that created this object.

lastChangeTimestampstring · date-time · nullableOptional

Timestamp of latest change. Always present when reading/receiving an object, ignored when writing/sending an object.

lastChangeSessionIDstring · nullableOptional

ID of the latest session that changed this object.

Responses
200

Success

application/json

Response of an Add Localization Key request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

post
/memori/v2/LocalizationKey/{strSessionID}
200

Success

Updates an existing Localization Key.

patch

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Body
keystring · nullableOptional

Localization Key. Required during Add operations. Ignored during Update operations.

valuestring · nullableOptional

Value of the Localization Key. Required during Add and Update operations.

creationTimestampstring · date-time · nullableOptional

Timestamp of creation. Always present when reading/receiving an object, ignored when writing/sending an object.

creationSessionIDstring · nullableOptional

ID of the session that created this object.

lastChangeTimestampstring · date-time · nullableOptional

Timestamp of latest change. Always present when reading/receiving an object, ignored when writing/sending an object.

lastChangeSessionIDstring · nullableOptional

ID of the latest session that changed this object.

Responses
200

Success

application/json

Base response.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

patch
/memori/v2/LocalizationKey/{strSessionID}
200

Success

Last updated